set linesize 32000
set pagesize 1000
set echo on
set termout on
set trimspool on

spool runquery.log

alter system flush buffer_cache;

VARIABLE monitored_sid number;

begin

SELECT sid into :monitored_sid from v$session where audsid=USERENV('SESSIONID');

end;
/

set timing on

set autotrace on statistics

select /*+ index(test testi) */ sum(blocks) from test;

set autotrace off

set timing off

column EVENT format a30

select EVENT,TOTAL_WAITS,TIME_WAITED,AVERAGE_WAIT 
FROM V$SESSION_EVENT a
WHERE a.SID= :monitored_sid
order by time_waited desc;

spool off
